PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Fields
pw_memblock Struct Reference
Utilities » Memory Blocks

Memory block structure. More...

`#include <pipewire/mem.h>`

## Data Fields
struct pw_mempool * | pool
| owner pool
uint32_t | id
| unique id
int | ref
| refcount
uint32_t | flags
| flags for the memory block on of enum pw_memblock_flags
uint32_t | type
| type of the fd, one of enum spa_data_type
int | fd
| fd
uint32_t | size
| size of memory
struct pw_memmap * | map
| optional map when PW_MEMBLOCK_FLAG_MAP was given

## Detailed Description

Memory block structure.

## Field Documentation

## ◆ pool

struct pw_mempool* pw_memblock::pool

owner pool

## ◆ id

uint32_t pw_memblock::id

unique id

## ◆ ref

int pw_memblock::ref

refcount

## ◆ flags

uint32_t pw_memblock::flags

flags for the memory block on of enum pw_memblock_flags

## ◆ type

uint32_t pw_memblock::type

type of the fd, one of enum spa_data_type

## ◆ fd

int pw_memblock::fd

fd

## ◆ size

uint32_t pw_memblock::size

size of memory

## ◆ map

struct pw_memmap* pw_memblock::map

optional map when PW_MEMBLOCK_FLAG_MAP was given

The documentation for this struct was generated from the following file:

- pipewire/mem.h